Loading...
Searching...
No Matches
logspace.hpp File Reference

Provides functionality for working with probabilities in logspace. More...

`#include <cmath>`

Go to the source code of this file.

## Classes

struct | raptor::logspace::add_fn

## Functions

double | raptor::logspace::add (double const log_x, double const log_y) noexcept
| The log of a sum of two log terms.
template<typename... types>
double | raptor::logspace::add (double const log_x, double const log_y, types... logs) noexcept
| The log of a sum of multiple log terms.
double | raptor::logspace::substract (double const log_x, double const log_y) noexcept
| The log of a difference of two log terms. (log_x - log_y).

## Variables

constexpr double | raptor::logspace::ln_2 {0.693147180559945309417232121458176568L}
constexpr double | raptor::logspace::negative_inf {-std::numeric_limits<double>::infinity()}

## Detailed Description

Provides functionality for working with probabilities in logspace.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>